### Method

# Gtk.Snapshot.to_paintable

#### Declaration [src]

    GdkPaintable*
    gtk_snapshot_to_paintable (
      GtkSnapshot* snapshot,
      const graphene_size_t* size
    )

#### Description [src]

Returns a paintable encapsulating the render node that was constructed by `snapshot`.

After calling this function, it is no longer possible to add more nodes to `snapshot`. The only function that should be called after this is `g_object_unref()`.

#### Parameters

`size` | `const graphene_size_t*`
| The size of the resulting paintable or `NULL` to use the bounds of the snapshot
| Can be `NULL`
| Ownership is not transferred to the callee

#### Return value

Returns: `GdkPaintable*`
a new `GdkPaintable`
Ownership of the data is transferred to the caller